AUGIjp 第18回 関東地区勉強会

ながら~く更新してませんでしたが、お知らせを(^^;

第18回 関東地区勉強会
2015 年11月28日(土)13:00~
トリトンスクエア オフィスタワーX 24F

最新の AutoCAD & A360Viewer で AutoCAD 初心者から一気にレベルアップ!

・・・ということで、
最新のAutodeskクラウド製品の紹介
A360 Viewer は簡単に使えてこんなに便利!
AutoCAD初心者セッション「レイアウトの設定を覚えよう!」
AutoCAD を便利に使う10のワザ ← 私の担当です
などなど

申し込み&詳細は下記サイトへ
http://event.augi.jp

1 Comment

2016新機能 雲マーク

なんつーか、全く何にも更新してなかったのですけど、
ようやく使えるか?という機能が増えたので、紹介。
雲マークです。今更ですけど。

No Comments

AUGIjp 3D Study Meeting のおしらせ

AUGIjp 3D Study Meeting
~AutoCAD 3D & AutoCAD 2015 について

私も行きます~。
ぜひ参加してください(^○^)ノ

【アジェンダ】
12:30 受付開始
12:50 AUGIjp 企画者 挨拶
13:00 AutoCAD 2015 で 3Dモデリング(AUGIjp 講師)
13:50 フリー勉強会 その1
15:00 AutoCADに最適な FirePro 製品のご紹介(日本AMD 増田氏)
15:50 フリー勉強会 その2
16:50 Autodesk のクラウド製品(A360、ReCap など)Q&A(Autodesk 大浦氏)
17:30 終了

【懇親会】
18:00~会費制。秋葉原駅近辺の予定。
詳細は後日お知らせします。

No Comments

Civil3D VLISP 三連発

お久しぶりでございます。

半年に1回の更新になってるのではないか?という Yuri Weblog です。
書籍の宣伝に成り下がってるので、ここら辺でマニアックすぎるネタを・・・。

その名も、Civil3D VLISP 三連発!!!

ダイアログなんかで操作してられないっすよ~、という私のために。
いまだにVLISPなの?どうなの?
.NETとか勉強する時間欲しいっす・・・。

;;
;;範囲指定して土量サーフェスを作成
;;1) 現況地形のサーフェスの名前を入力
;;2) コピー先のサーフェスの名前を入力
;;3) サーフェスの範囲をポリラインで指定
;;
(defun c:-createvolumesurface(
/
SourceSurfName
SourceSurfObj
CopySurfName
BoundaryPlineEname
BoundaryPlineObj
SsSurf
MeanElev
ContoursObj
)
;ユーザ入力
(while (or (not (setq SourceSurfName (getstring “\n現況地形のサーフェスの名前を入力:”))) (= SourceSurfName “”)))
(while (or (not (setq CopySurfName (getstring “\nグリッド範囲の名前を入力:”))) (= CopySurfName “”)))
(while (not (setq BoundaryPlineEname (entsel “\nグリッド範囲のポリラインを指示:”))))
(setq BoundaryPlineObj (vlax-ename->vla-object (car BoundaryPlineEname)))

;オブジェクト変換
(setq SsSurf (ssget “X” ‘((0 . “AECC_TIN_SURFACE”))))
(foreach n (y_ssname SsSurf)
(if (= SourceSurfName (vlax-get-property (vlax-ename->vla-object n) ‘Name))
(progn
(setq SourceSurfObj (vlax-ename->vla-object n))
(setq SsSurf nil)
)
)
)

;平均標高取得
(setq MeanElev (Pwr_MeanElevation SourceSurfObj BoundaryPlineObj))

;グリッド範囲サーフェス作成
;ポリライン標高変更
(y_dxfchange 38 MeanElev (entget (car BoundaryPlineEname)))
;サーフェス作成
(Pwr_CreateSurface CopySurfName)
(setq CopySurfObj (vlax-ename->vla-object (entlast)))
;等高線として追加
(setq ContoursObj (vlax-get-property CopySurfObj ‘Contours))
(vlax-invoke-method ContoursObj ‘Add BoundaryPlineObj ” ” 15.0 0.0698 100.0 1.0)
)
;;
;;サーフェスとポリラインを引数にして平均標高を取得
;;
(defun Pwr_MeanElevation(
SourceSurfOBJ
BoundaryPlineObj
/
CopySurfObj
MeanElev
)
;サーフェスの作成と境界追加
(Pwr_CreateSurface “TempSurface”)
(setq CopySurfObj (vlax-ename->vla-object (entlast)))
(vlax-invoke-method CopySurfObj ‘PasteSurface SourceSurfObj)
(setq BoundaryObj (vlax-get-property CopySurfObj ‘Boundaries))
(vlax-invoke-method BoundaryObj ‘Add BoundaryPlineObj “a” 4 T 1.0)

;平均標高取得
(setq MeanElev (vlax-get-property (vlax-get-property CopySurfObj ‘Statistics) ‘MeanElevation))
(vlax-invoke-method CopySurfObj ‘Delete)
MeanElev
)
;;
;;名前を引数にしてTINサーフェス作成
;;
(defun Pwr_CreateSurface(
SurfaceName
/
prod
verstr
prodStr
datastr
C3D
C3Ddoc
surfs
tincreationdata
surf
)

(setq prod (vlax-product-key))
(setq verstr
(cond
;;2010
((vl-string-search “\\R18.0\\” prod) “7.0”)
;;2011
((vl-string-search “\\R18.1\\” prod) “8.0”)
;;2012
((vl-string-search “\\R18.2\\” prod) “9.0”)
;;2013
((vl-string-search “\\R19.0\\” prod) “10.0”)
;;2014
((vl-string-search “\\R19.1\\” prod) “10.3”)
)
)
(setq prodStr (strcat “AeccXUiLand.AeccApplication.” verstr))
(setq datastr (strcat “AeccXLand.AeccTinCreationData.” verstr))

(if
(and (setq *acad* (vlax-get-acad-object))
(setq C3D (vla-getinterfaceobject *acad* prodStr))
(setq C3Ddoc (vla-get-activedocument C3D))
(setq surfs (vlax-get C3Ddoc ‘surfaces))
(setq tincreationdata (vla-getinterfaceobject *acad* datastr))
)
(progn
(vlax-put tincreationdata ‘baselayer “0”)
(vlax-put tincreationdata ‘layer “0”)
(vlax-put tincreationdata ‘name SurfaceName)

;;style must exist!
(vlax-put tincreationdata ‘style “MLIT-境界@サーフェス”)
(setq surf (vlax-invoke-method surfs ‘addtinsurface tincreationdata))

;; do whatever else is needed
(vlax-release-object tincreationdata)
(vlax-release-object surf)
(vlax-release-object surfs)
(vlax-release-object c3ddoc)
)
)
)

2 Comments

AutoCAD Civil 3D セルフトレーニング教材(ビデオ)

Civil3D トレーニング教材をビデオ化したものです。
なんとかがんばって早めに続きをUPするようにします。
自宅でパソコンに向かって1人でしゃべるのって恥ずかしい(^^;

http://bim-design.com/infra/movie/autocad_civil_3d_selftraining/01.html
http://bim-design.com/infra/movie/autocad_civil_3d_selftraining/02.html

No Comments

基礎からしっかり身につくAutoCAD LT入門

あけましておめでとうございます。
今年もよろしくお願い致します。

さてさて、すっかり忘れ去られているこのブログ。
去年発売された書籍の宣伝でさえ書いていませんでした(^^;

基礎からしっかり身につくAutoCAD LT入門―2014/2013/2012/2011/2010/2009対応

2009~2014対応とか、私がんばったなぁ。
2009ちゃんは他の子とリボンの配置が全く違うので、えらい困ったチャンでした。

私が講習する時に使いたいなと思って書いた本なので、練習データが揃っています。

4 Comments

3Dプリントしてみた

お久しぶりです、皆様お元気でしょうか?
私はようやく休み・・・のつもり・・・です。ニートの生活が懐かしいです。

さて、今回はお子様の夏休みの宿題にと、123D Design で 3D プリントしてみました。

まずは 123D Design のインストール。
http://www.123dapp.com/design
Web、iPad ともに試してみましたが、やはりデスクトップが一番使い勝手が良かったです。

で、アカウントを作ると、何種類かあるロボットのパーツを利用できます。
それらを選んで組みあげたのがコレ。

123D Design から STL に保存して、DMM のサービスを利用しました。
http://make.dmm.com/

<3Dプリントの流れ>
1.アップロード → 2.データチェック → 3.注文 → 4.発送

アップロードしてデータチェックが終わると、見積もりがメールで送られてきます。
ここまでは自動みたいなので、何回も見積もりしちゃいました。
こんな感じです。

で、きたのがコレ。結構イイ感じです。

結局子供の夏休みの宿題は他のことになったので、コレは私の机の上に飾られることになりました。

No Comments